Package org.eclipse.m2m.atl.emftvm.util

## Interface PluginExtensionUtil

All Known Implementing Classes:
  `PluginExtensionUtilImpl`

    public interface PluginExtensionUtil

Eclipse plug-in extension utility for `ModelFactory`.

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeMap<java.lang.Class<?>,​ModelFactory>` `createModelFactoryRegistry()` Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

### Method Detail

#### createModelFactoryRegistry

    TypeMap<java.lang.Class<?>,​ModelFactory> createModelFactoryRegistry()

Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

Returns:
  a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances